NXP NFC Reader Library v4.040.05.011646

Data Fields
phlnLlcp_Transport_Socket Struct Reference
Link Abstraction Layer » NFCForum-LLCP » Component : Software

Socket structure of LLCP transport. More...

## Data Fields
phOsal_SemObj_t | xSema
| Handle to the semaphore. More...
phOsal_SemObj_t | xRxSema
| Handle to the Receive semaphore. More...
phlnLlcp_Socket_Seq_t | sSeq
| Sequence of the I PDU. More...
struct phlnLlcp_Transport_Socket * | pNext
| Pointer to the next Registered Socket. More...
uint8_t * | pUri
| Pointer to URI (Uniform Resource Identifier). More...
uint32_t | dwBufLen
| The size of the Socket Rx Buffer. More...
uint8_t * | pbRxBuffer
| Pointer to the Socket Rx buffer. More...
uint32_t | dwLength
| Length of the data received. More...
uint16_t | wRMiu
| Remote Link's MIU. More...
uint8_t | fReady
| Ready to receive flag. More...
phlnLlcp_Transport_Socket_Type_t | eSocketType
| Based on this, I PDU (Connection-Oriented) or UI PDU (Connection-Less) will be sent. More...
phStatus_t | wStatus
| Determines the status of the Socket. More...
uint8_t | bLsap
| Local SAP (Service Access Point) address. More...
uint8_t | bRsap
| Remote SAP address. More...
uint8_t | bState
| Socket state can be as per LLCP Socket States. More...

## Detailed Description

Socket structure of LLCP transport.

## Field Documentation

## § xSema

phOsal_SemObj_t phlnLlcp_Transport_Socket::xSema

Handle to the semaphore.

## § xRxSema

phOsal_SemObj_t phlnLlcp_Transport_Socket::xRxSema

Handle to the Receive semaphore.

## § sSeq

phlnLlcp_Socket_Seq_t phlnLlcp_Transport_Socket::sSeq

Sequence of the I PDU.

## § pNext

struct phlnLlcp_Transport_Socket* phlnLlcp_Transport_Socket::pNext

Pointer to the next Registered Socket.

## § pUri

uint8_t* phlnLlcp_Transport_Socket::pUri

Pointer to URI (Uniform Resource Identifier).

## § dwBufLen

uint32_t phlnLlcp_Transport_Socket::dwBufLen

The size of the Socket Rx Buffer.

## § pbRxBuffer

uint8_t* phlnLlcp_Transport_Socket::pbRxBuffer

Pointer to the Socket Rx buffer.

Size of the Socket Buffer should be less than or equal to 248 Bytes and less than HAL Rx Buffer. Note: To achieve better performance Socket Buffer Size should be multiple of 248.

## § dwLength

uint32_t phlnLlcp_Transport_Socket::dwLength

Length of the data received.

## § wRMiu

uint16_t phlnLlcp_Transport_Socket::wRMiu

Remote Link's MIU.

## § fReady

uint8_t phlnLlcp_Transport_Socket::fReady

Ready to receive flag.

Note: This Flag needs to be set 'True' by the Application after each Socket Receive to receive next Packet as RW (Receive Window) is 1.

## § eSocketType

phlnLlcp_Transport_Socket_Type_t phlnLlcp_Transport_Socket::eSocketType

Based on this, I PDU (Connection-Oriented) or UI PDU (Connection-Less) will be sent.

## § wStatus

phStatus_t phlnLlcp_Transport_Socket::wStatus

Determines the status of the Socket.

## § bLsap

uint8_t phlnLlcp_Transport_Socket::bLsap

Local SAP (Service Access Point) address.

## § bRsap

uint8_t phlnLlcp_Transport_Socket::bRsap

Remote SAP address.

## § bState

uint8_t phlnLlcp_Transport_Socket::bState

Socket state can be as per LLCP Socket States.

The documentation for this struct was generated from the following file:

- phlnLlcp.h